# xsave

save graphics into a file

## Calling Sequence

    xsave(filename,[win_num])

## Arguments

file_name

  string, name of the file.

win_num

  integer, the graphics window number. If not given, the current graphics window is used.

## Description

`xsave` saves the graphics contained in the graphics window `win_num` in the binary file `file_name`. and can be reloaded with `xload`.

Since Scilab 5.0, all uimenu or uicontrol handles are also saved.

For graphics `xsave(file_name,win_num)` use preferabily `save(file_name,scf(win_num))`.

## Examples

    t=0:0.01:10;
    subplot(211),plot2d(t,sin(t))
    subplot(212),plot2d(t,sin(3*t))
    xsave(TMPDIR + "/foo.scg", gcf())
    clf()
    xload(TMPDIR + "/foo.scg")

    a=gca();
    curve=a.children.children; //handle on the curve
    save(TMPDIR + "/foo.scg", "curve")
    delete(curve)
    load(TMPDIR + "/foo.scg")

## See Also

- xload
- save
- load